org.codehaus.plexus.util.cli

## Class DefaultConsumer

- java.lang.Object
- - org.codehaus.plexus.util.cli.DefaultConsumer

- All Implemented Interfaces:
    StreamConsumer

      public class DefaultConsumer
      extends java.lang.Object
      implements StreamConsumer

  Version:
    $Id: DefaultConsumer.java 8010 2009-01-07 12:59:50Z vsiveton $
  Author:
    Emmanuel Venisse

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultConsumer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `consumeLine(java.lang.String line)` Called when the StreamPumper pumps a line from the Stream.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultConsumer

          public DefaultConsumer()

  - ### Method Detail

    - #### consumeLine

          public void consumeLine(java.lang.String line)

      Description copied from interface: `StreamConsumer`
      Called when the StreamPumper pumps a line from the Stream.
      Specified by:
        `consumeLine` in interface `StreamConsumer`